### Method

# AppStream Validator add_override

since: 0.15.4

#### Declaration [src]

    gboolean
    as_validator_add_override (
      AsValidator* validator,
      const gchar* tag,
      AsIssueSeverity severity_override,
      GError** error
    )

#### Description [src]

Override the severity of a selected tag. For most tags, the severity can not be lowered to a value that makes a validation that would otherwise fail pass (so e.g. an ERROR can not become an INFO). Some tags are explicitly allowed to have their severity lowered to enable validation of e.g. incomplete metadata during development. Increasing the severity of any tag is always allowed.

Available since: 0.15.4

#### Parameters

`tag`

  Type: `const gchar*`

  The issue tag to override, e.g. “release-time-missing”.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`severity_override`

  Type: `AsIssueSeverity`

  The new severity for the tag.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

No description available.